Bug 816071 - Review Request: f3 - Utility to test for fake flash drives and cards
Summary: Review Request: f3 - Utility to test for fake flash drives and cards
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Volker Fröhlich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-25 08:01 UTC by Eric Smith
Modified: 2012-08-25 19:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-19 00:28:59 UTC
volker27: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Eric Smith 2012-04-25 08:01:54 UTC
Spec URL: http://fedorapeople.org/~brouhaha/f3/f3.spec
SRPM URL: http://fedorapeople.org/~brouhaha/f3/f3-2-1.fc16.src.rpm
Description:
F3 is a utility to test for fake flash drives and cards. It is a Free
Software alternative to h2testw.  f3write will fill the unused part of
a filesystem with files NNNN.fff with known content, and f3read will
analyze the files to determine whether the contents are corrupted, as
happens with fake flash.

Comment 1 Volker Fröhlich 2012-04-27 21:49:24 UTC
I think the group you picked is wrong: Development/Languages.

You can drop "-n %{name}-%{version}", because it's the default.

I'm not sure, whether "analyze the files to determine whether the contents are corrupted, as happens with fake flash." is perfectly fine English, but I'm no native speaker.

Rpmlint also complain about "filesystem", which is probably fine as well.


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint f3-2-1.fc18.src.rpm

f3.src: W: spelling-error %description -l en_US filesystem -> file system, file-system, systemically
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint f3-debuginfo-2-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint f3-2-1.fc18.i686.rpm

f3.i686: W: spelling-error %description -l en_US filesystem -> file system, file-system, systemically
f3.i686: W: no-manual-page-for-binary f3read
f3.i686: W: no-manual-page-for-binary f3write
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


There's the README, so you're not left out in the cold.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/media/speicher1/makerpm/816071/f3v2.zip :
  MD5SUM this package     : e1e196895c424b7aae15bdf67cfea862
  MD5SUM upstream package : e1e196895c424b7aae15bdf67cfea862

[!]: MUST Spec file is legible and written in American English.

See above. Let's just clarify whether it's fine.

[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: SHOULD Package functions as described.

Haven't tried

[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Comment 2 Eric Smith 2012-06-22 21:49:48 UTC
Spec URL: http://fedorapeople.org/~brouhaha/f3/f3.spec
SRPM URL: http://fedorapeople.org/~brouhaha/f3/f3-2-2.fc16.src.rpm
Koji scratch build for rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=4189363

Updated per review comments.  I believe the English grammar and usage is correct; as you point out, "filesystem" is domain-specific jargon.

Comment 3 Volker Fröhlich 2012-08-05 07:21:33 UTC
Two native speakers confirmed your view.

==APPROVED==

Comment 4 Eric Smith 2012-08-05 20:40:33 UTC
New Package SCM Request
=======================
Package Name: f3
Short Description: Utility to test for fake flash drives and cards
Owners: brouhaha
Branches: f17 el6
InitialCC:

Comment 5 Gwyn Ciesla 2012-08-06 04:25:55 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2012-08-06 20:54:19 UTC
f3-2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/f3-2-2.fc17

Comment 7 Fedora Update System 2012-08-06 21:19:54 UTC
f3-2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/f3-2-2.el6

Comment 8 Fedora Update System 2012-08-08 18:29:41 UTC
f3-2-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 9 Fedora Update System 2012-08-19 00:28:59 UTC
f3-2-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 10 Fedora Update System 2012-08-25 19:59:44 UTC
f3-2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.